<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lab 5: Исходный файл C:/VVID/Lab3/ui_mainwindow.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lab 5
   </div>
   <div id="projectbrief">Проект со строками</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_9b007e028ff056209f37c38d42b1bdd5.html">VVID</a></li><li class="navelem"><a class="el" href="dir_d4d190ead145efec63d18fa6e1dbd727.html">Lab3</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ui_mainwindow.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/********************************************************************************</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">** Form generated from reading UI file &#39;mainwindow.ui&#39;</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">**</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">** Created by: Qt User Interface Compiler version 5.12.2</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">**</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">** WARNING! All changes made in this file will be lost when recompiling UI file!</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">********************************************************************************/</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef UI_MAINWINDOW_H</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define UI_MAINWINDOW_H</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;QtCore/QVariant&gt;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QApplication&gt;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QLabel&gt;</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QLineEdit&gt;</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QMainWindow&gt;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QMenuBar&gt;</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QPushButton&gt;</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QStatusBar&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QTabWidget&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QTextBrowser&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QTextEdit&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QToolBar&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QWidget&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;QT_BEGIN_NAMESPACE</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="class_ui___main_window.html">   28</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_ui___main_window.html">Ui_MainWindow</a></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;{</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    QWidget *centralWidget;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    QTabWidget *tabWidget;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    QWidget *amount;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    QTextEdit *amountInput;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    QPushButton *amountButton;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    QLabel *label;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    QLabel *amountOutput;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    QLabel *label_6;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    QWidget *palindrome;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    QPushButton *palindromeButton;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    QLabel *label_2;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    QLabel *palindromeOutput;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    QTextEdit *palindromeInput;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    QLabel *label_7;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    QWidget *encrypt;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    QPushButton *encryptButton;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    QTextEdit *encryptInput;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    QLabel *label_3;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    QLabel *label_4;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    QTextBrowser *encryptOutput;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    QLineEdit *encruptInputLine;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    QLabel *label_5;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    QWidget *rounding;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    QPushButton *roundingButton;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    QLineEdit *roundingInputLine;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    QLabel *label_8;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    QLineEdit *roundingInput;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    QLabel *label_9;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    QTextBrowser *roundingOutput;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    QLabel *label_10;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    QMenuBar *menuBar;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    QToolBar *mainToolBar;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    QStatusBar *statusBar;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    <span class="keywordtype">void</span> setupUi(QMainWindow *<a class="code" href="class_main_window.html">MainWindow</a>)</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    {</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        <span class="keywordflow">if</span> (<a class="code" href="class_main_window.html">MainWindow</a>-&gt;objectName().isEmpty())</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;            <a class="code" href="class_main_window.html">MainWindow</a>-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;MainWindow&quot;</span>));</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        <a class="code" href="class_main_window.html">MainWindow</a>-&gt;resize(1000, 600);</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        centralWidget = <span class="keyword">new</span> QWidget(<a class="code" href="class_main_window.html">MainWindow</a>);</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        centralWidget-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;centralWidget&quot;</span>));</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        tabWidget = <span class="keyword">new</span> QTabWidget(centralWidget);</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        tabWidget-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;tabWidget&quot;</span>));</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        tabWidget-&gt;setGeometry(QRect(0, 0, 1000, 600));</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        QSizePolicy sizePolicy(QSizePolicy::Expanding, QSizePolicy::Expanding);</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        sizePolicy.setHorizontalStretch(100);</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        sizePolicy.setVerticalStretch(100);</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        sizePolicy.setHeightForWidth(tabWidget-&gt;sizePolicy().hasHeightForWidth());</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        tabWidget-&gt;setSizePolicy(sizePolicy);</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        amount = <span class="keyword">new</span> QWidget();</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        amount-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;amount&quot;</span>));</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        QSizePolicy sizePolicy1(QSizePolicy::Expanding, QSizePolicy::Expanding);</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        sizePolicy1.setHorizontalStretch(0);</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        sizePolicy1.setVerticalStretch(0);</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        sizePolicy1.setHeightForWidth(amount-&gt;sizePolicy().hasHeightForWidth());</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        amount-&gt;setSizePolicy(sizePolicy1);</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;        amountInput = <span class="keyword">new</span> QTextEdit(amount);</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        amountInput-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;amountInput&quot;</span>));</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;        amountInput-&gt;setGeometry(QRect(50, 60, 900, 310));</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;        QFont font;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;        font.setPointSize(12);</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        amountInput-&gt;setFont(font);</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;        amountButton = <span class="keyword">new</span> QPushButton(amount);</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;        amountButton-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;amountButton&quot;</span>));</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;        amountButton-&gt;setGeometry(QRect(80, 400, 171, 71));</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;        amountButton-&gt;setFont(font);</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        label = <span class="keyword">new</span> QLabel(amount);</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        label-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;label&quot;</span>));</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;        label-&gt;setGeometry(QRect(340, 410, 121, 41));</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;        label-&gt;setFont(font);</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;        amountOutput = <span class="keyword">new</span> QLabel(amount);</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        amountOutput-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;amountOutput&quot;</span>));</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        amountOutput-&gt;setGeometry(QRect(460, 400, 491, 71));</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        amountOutput-&gt;setFont(font);</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        label_6 = <span class="keyword">new</span> QLabel(amount);</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        label_6-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;label_6&quot;</span>));</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        label_6-&gt;setGeometry(QRect(50, 20, 121, 41));</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;        label_6-&gt;setFont(font);</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;        tabWidget-&gt;addTab(amount, QString());</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;        palindrome = <span class="keyword">new</span> QWidget();</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;        palindrome-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;palindrome&quot;</span>));</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;        sizePolicy1.setHeightForWidth(palindrome-&gt;sizePolicy().hasHeightForWidth());</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;        palindrome-&gt;setSizePolicy(sizePolicy1);</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;        palindromeButton = <span class="keyword">new</span> QPushButton(palindrome);</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;        palindromeButton-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;palindromeButton&quot;</span>));</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;        palindromeButton-&gt;setGeometry(QRect(80, 400, 171, 71));</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;        palindromeButton-&gt;setFont(font);</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;        label_2 = <span class="keyword">new</span> QLabel(palindrome);</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;        label_2-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;label_2&quot;</span>));</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;        label_2-&gt;setGeometry(QRect(340, 410, 121, 41));</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;        label_2-&gt;setFont(font);</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;        palindromeOutput = <span class="keyword">new</span> QLabel(palindrome);</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;        palindromeOutput-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;palindromeOutput&quot;</span>));</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;        palindromeOutput-&gt;setGeometry(QRect(450, 390, 491, 71));</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;        palindromeOutput-&gt;setFont(font);</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;        palindromeInput = <span class="keyword">new</span> QTextEdit(palindrome);</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;        palindromeInput-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;palindromeInput&quot;</span>));</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;        palindromeInput-&gt;setGeometry(QRect(50, 60, 900, 310));</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;        palindromeInput-&gt;setFont(font);</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;        label_7 = <span class="keyword">new</span> QLabel(palindrome);</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;        label_7-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;label_7&quot;</span>));</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;        label_7-&gt;setGeometry(QRect(50, 20, 121, 41));</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;        label_7-&gt;setFont(font);</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;        tabWidget-&gt;addTab(palindrome, QString());</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;        encrypt = <span class="keyword">new</span> QWidget();</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;        encrypt-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;encrypt&quot;</span>));</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;        sizePolicy1.setHeightForWidth(encrypt-&gt;sizePolicy().hasHeightForWidth());</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;        encrypt-&gt;setSizePolicy(sizePolicy1);</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;        encryptButton = <span class="keyword">new</span> QPushButton(encrypt);</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;        encryptButton-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;encryptButton&quot;</span>));</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;        encryptButton-&gt;setGeometry(QRect(80, 400, 171, 71));</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;        encryptButton-&gt;setFont(font);</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;        encryptInput = <span class="keyword">new</span> QTextEdit(encrypt);</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;        encryptInput-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;encryptInput&quot;</span>));</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;        encryptInput-&gt;setGeometry(QRect(50, 60, 400, 310));</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;        encryptInput-&gt;setFont(font);</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;        label_3 = <span class="keyword">new</span> QLabel(encrypt);</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;        label_3-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;label_3&quot;</span>));</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;        label_3-&gt;setGeometry(QRect(50, 20, 191, 41));</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;        label_3-&gt;setFont(font);</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;        label_4 = <span class="keyword">new</span> QLabel(encrypt);</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;        label_4-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;label_4&quot;</span>));</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;        label_4-&gt;setGeometry(QRect(540, 20, 261, 41));</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;        label_4-&gt;setFont(font);</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;        encryptOutput = <span class="keyword">new</span> QTextBrowser(encrypt);</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;        encryptOutput-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;encryptOutput&quot;</span>));</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;        encryptOutput-&gt;setGeometry(QRect(540, 60, 400, 310));</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;        encryptOutput-&gt;setFont(font);</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;        encruptInputLine = <span class="keyword">new</span> QLineEdit(encrypt);</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;        encruptInputLine-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;encruptInputLine&quot;</span>));</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;        encruptInputLine-&gt;setGeometry(QRect(300, 430, 451, 41));</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;        encruptInputLine-&gt;setFont(font);</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;        label_5 = <span class="keyword">new</span> QLabel(encrypt);</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;        label_5-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;label_5&quot;</span>));</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;        label_5-&gt;setGeometry(QRect(300, 390, 281, 41));</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;        label_5-&gt;setFont(font);</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;        tabWidget-&gt;addTab(encrypt, QString());</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;        rounding = <span class="keyword">new</span> QWidget();</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;        rounding-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;rounding&quot;</span>));</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;        sizePolicy1.setHeightForWidth(rounding-&gt;sizePolicy().hasHeightForWidth());</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;        rounding-&gt;setSizePolicy(sizePolicy1);</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;        roundingButton = <span class="keyword">new</span> QPushButton(rounding);</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;        roundingButton-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;roundingButton&quot;</span>));</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;        roundingButton-&gt;setGeometry(QRect(80, 400, 171, 71));</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;        roundingButton-&gt;setFont(font);</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;        roundingInputLine = <span class="keyword">new</span> QLineEdit(rounding);</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;        roundingInputLine-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;roundingInputLine&quot;</span>));</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;        roundingInputLine-&gt;setGeometry(QRect(300, 430, 451, 41));</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;        roundingInputLine-&gt;setFont(font);</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;        label_8 = <span class="keyword">new</span> QLabel(rounding);</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;        label_8-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;label_8&quot;</span>));</div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;        label_8-&gt;setGeometry(QRect(300, 390, 281, 41));</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;        label_8-&gt;setFont(font);</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;        roundingInput = <span class="keyword">new</span> QLineEdit(rounding);</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;        roundingInput-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;roundingInput&quot;</span>));</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;        roundingInput-&gt;setGeometry(QRect(70, 100, 851, 51));</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;        roundingInput-&gt;setFont(font);</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;        label_9 = <span class="keyword">new</span> QLabel(rounding);</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;        label_9-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;label_9&quot;</span>));</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;        label_9-&gt;setGeometry(QRect(70, 60, 281, 41));</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;        label_9-&gt;setFont(font);</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;        roundingOutput = <span class="keyword">new</span> QTextBrowser(rounding);</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;        roundingOutput-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;roundingOutput&quot;</span>));</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;        roundingOutput-&gt;setGeometry(QRect(70, 230, 851, 51));</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;        roundingOutput-&gt;setFont(font);</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;        label_10 = <span class="keyword">new</span> QLabel(rounding);</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;        label_10-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;label_10&quot;</span>));</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;        label_10-&gt;setGeometry(QRect(70, 190, 281, 41));</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;        label_10-&gt;setFont(font);</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;        tabWidget-&gt;addTab(rounding, QString());</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;        <a class="code" href="class_main_window.html">MainWindow</a>-&gt;setCentralWidget(centralWidget);</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;        menuBar = <span class="keyword">new</span> QMenuBar(<a class="code" href="class_main_window.html">MainWindow</a>);</div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;        menuBar-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;menuBar&quot;</span>));</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;        menuBar-&gt;setGeometry(QRect(0, 0, 1000, 25));</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;        <a class="code" href="class_main_window.html">MainWindow</a>-&gt;setMenuBar(menuBar);</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;        mainToolBar = <span class="keyword">new</span> QToolBar(<a class="code" href="class_main_window.html">MainWindow</a>);</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;        mainToolBar-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;mainToolBar&quot;</span>));</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;        <a class="code" href="class_main_window.html">MainWindow</a>-&gt;addToolBar(Qt::TopToolBarArea, mainToolBar);</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;        statusBar = <span class="keyword">new</span> QStatusBar(<a class="code" href="class_main_window.html">MainWindow</a>);</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;        statusBar-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;statusBar&quot;</span>));</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;        <a class="code" href="class_main_window.html">MainWindow</a>-&gt;setStatusBar(statusBar);</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;        retranslateUi(<a class="code" href="class_main_window.html">MainWindow</a>);</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;        tabWidget-&gt;setCurrentIndex(3);</div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;        QMetaObject::connectSlotsByName(<a class="code" href="class_main_window.html">MainWindow</a>);</div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;    } <span class="comment">// setupUi</span></div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;    <span class="keywordtype">void</span> retranslateUi(QMainWindow *<a class="code" href="class_main_window.html">MainWindow</a>)</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;    {</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;        <a class="code" href="class_main_window.html">MainWindow</a>-&gt;setWindowTitle(QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="keyword">nullptr</span>));</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;        amountButton-&gt;setText(QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;\320\237\320\276\321\201\321\207\320\270\321\202\320\260\321\202\321\214&quot;</span>, <span class="keyword">nullptr</span>));</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;        label-&gt;setText(QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;\320\240\320\265\320\267\321\203\320\273\321\214\321\202\320\260\321\202:&quot;</span>, <span class="keyword">nullptr</span>));</div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;        amountOutput-&gt;setText(QString());</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;        label_6-&gt;setText(QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;\320\241\321\202\321\200\320\276\320\272\320\260:&quot;</span>, <span class="keyword">nullptr</span>));</div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;        tabWidget-&gt;setTabText(tabWidget-&gt;indexOf(amount), QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;\320\232\320\276\320\273\320\273\320\270\321\207\320\265\321\201\321\202\320\262\320\276 \321\201\320\276\320\263\320\273\320\260\321\201\320\275\321\213\321\205,\320\263\320\273\320\260\321\201\320\275\321\213\321\205 \320\270 \320\262\321\201\320\265\320\263\320\276 \320\261\321\203\320\272\320\262&quot;</span>, <span class="keyword">nullptr</span>));</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;        palindromeButton-&gt;setText(QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;\320\237\321\200\320\276\320\262\320\265\321\200\320\270\321\202\321\214&quot;</span>, <span class="keyword">nullptr</span>));</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;        label_2-&gt;setText(QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;\320\240\320\265\320\267\321\203\320\273\321\214\321\202\320\260\321\202:&quot;</span>, <span class="keyword">nullptr</span>));</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;        palindromeOutput-&gt;setText(QString());</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;        label_7-&gt;setText(QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;\320\241\321\202\321\200\320\276\320\272\320\260:&quot;</span>, <span class="keyword">nullptr</span>));</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;        tabWidget-&gt;setTabText(tabWidget-&gt;indexOf(palindrome), QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;\320\237\321\200\320\276\320\262\320\265\321\200\320\272\320\260 \320\275\320\260 \320\277\320\260\320\273\320\270\320\275\320\264\321\200\320\276\320\274&quot;</span>, <span class="keyword">nullptr</span>));</div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;        encryptButton-&gt;setText(QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;\320\227\320\260\321\210\320\270\321\204\321\200\320\276\320\262\320\260\321\202\321\214&quot;</span>, <span class="keyword">nullptr</span>));</div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;        label_3-&gt;setText(QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;\320\230\321\201\321\205\320\276\320\264\320\275\321\213\320\271 \321\202\320\265\320\272\321\201\321\202:&quot;</span>, <span class="keyword">nullptr</span>));</div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;        label_4-&gt;setText(QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;\320\227\320\260\320\272\320\276\320\264\320\270\321\200\320\276\320\262\320\260\320\275\320\275\321\213\320\271 \321\202\320\265\320\272\321\201\321\202:&quot;</span>, <span class="keyword">nullptr</span>));</div><div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;        label_5-&gt;setText(QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;\320\241\320\264\320\262\320\270\320\263 U \320\264\320\273\321\217 \321\210\320\270\321\204\321\200\320\276\320\262\320\260\320\275\320\270\321\217:&quot;</span>, <span class="keyword">nullptr</span>));</div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;        tabWidget-&gt;setTabText(tabWidget-&gt;indexOf(encrypt), QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;\320\250\320\270\321\204\321\200 \321\206\320\265\320\267\320\260\321\200\321\217&quot;</span>, <span class="keyword">nullptr</span>));</div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;        roundingButton-&gt;setText(QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;\320\236\320\272\321\200\321\203\320\263\320\273\320\270\321\202\321\214&quot;</span>, <span class="keyword">nullptr</span>));</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;        label_8-&gt;setText(QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;\320\232\320\276\320\273-\320\262\320\276 \320\267\320\275\320\260\320\272\320\276\320\262 \320\277\320\276\321\201\320\273\320\265 \320\267\320\260\320\277\321\217\321\202\320\276\320\271:&quot;</span>, <span class="keyword">nullptr</span>));</div><div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;        label_9-&gt;setText(QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;\320\230\321\201\321\205\320\276\320\264\320\275\320\276\320\265 \321\207\320\270\321\201\320\273\320\276:&quot;</span>, <span class="keyword">nullptr</span>));</div><div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;        label_10-&gt;setText(QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;\320\236\320\272\321\200\321\203\320\263\320\273\321\221\320\275\320\275\320\276\320\265 \321\207\320\270\321\201\320\273\320\276:&quot;</span>, <span class="keyword">nullptr</span>));</div><div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;        tabWidget-&gt;setTabText(tabWidget-&gt;indexOf(rounding), QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;\320\236\320\272\321\200\321\203\320\263\320\273\320\265\320\275\320\270\320\265 \321\207\320\270\321\201\320\273\320\260&quot;</span>, <span class="keyword">nullptr</span>));</div><div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;    } <span class="comment">// retranslateUi</span></div><div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;</div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;};</div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;</div><div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;<span class="keyword">namespace </span>Ui {</div><div class="line"><a name="l00249"></a><span class="lineno"><a class="line" href="class_ui_1_1_main_window.html">  249</a></span>&#160;    <span class="keyword">class </span><a class="code" href="class_ui_1_1_main_window.html">MainWindow</a>: <span class="keyword">public</span> <a class="code" href="class_ui___main_window.html">Ui_MainWindow</a> {};</div><div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;} <span class="comment">// namespace Ui</span></div><div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;</div><div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;QT_END_NAMESPACE</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;</div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;<span class="preprocessor">#endif // UI_MAINWINDOW_H</span></div><div class="ttc" id="class_ui___main_window_html"><div class="ttname"><a href="class_ui___main_window.html">Ui_MainWindow</a></div><div class="ttdef"><b>Definition:</b> ui_mainwindow.h:28</div></div>
<div class="ttc" id="class_ui_1_1_main_window_html"><div class="ttname"><a href="class_ui_1_1_main_window.html">Ui::MainWindow</a></div><div class="ttdef"><b>Definition:</b> ui_mainwindow.h:249</div></div>
<div class="ttc" id="class_main_window_html"><div class="ttname"><a href="class_main_window.html">MainWindow</a></div><div class="ttdef"><b>Definition:</b> mainwindow.h:10</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
